Bug 62664 - AMD K6-II, 2.4.9-31, compile segmentation fault
Summary: AMD K6-II, 2.4.9-31, compile segmentation fault
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.2
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-03 22:48 UTC by Need Real Name
Modified: 2007-04-18 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-04 12:10:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-04-03 22:48:55 UTC
Description of Problem:

K6-II, 2.4.9-31, make bzImage fails at random locations when working 
in the 'drivers' directory.  Failure always occurs in the 'drivers'
directory but at differing sub-directories.For eample:

serial.c: In function `probe_serial_pci':
serial.c:4919: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [serial.o] Error 2
make[3]: Leaving directory `/usr/src/linux-2.4.9-31/drivers/char'

This despite having replaced rpms.  Did rpm -Uvh --force on:

binutils-2.11.90.0.8-12.i386.rpm
kernel-2.4.9-31.i586.rpm
kernel-headers-2.4.9-31.i386.rpm
kernel-source-2.4.9-31.i386.rpm

Version-Release number of selected component (if applicable):
2.4.9-31

How Reproducible:
Every time

Steps to Reproduce:

As root,
1. cd /usr/src/linux-2.4.9-31
2. make mrproper
3. make xconfig
4. make dep
5. make clean
6. make bzImage

Actual Results:
Segmentation fault while working in random sub-directories of the
'drivers' directory.

Expected Results:
make bzImage shuold have completed without error.

Additional Information:
Motherboard is a PAG2130 from FIC.
Initial install of the RH7.2 distribution on this machine was normal.
This system has been maintained using the up2date facility.

Comment 1 Jakub Jelinek 2002-04-04 12:15:26 UTC
Random non-reproduceable compiler crashes means hardware errors.
Please check your memory (e.g. memtest86), CPU, board.


Note You need to log in before you can comment on or make changes to this bug.